import { ChainData, Token } from "@0xsquid/squid-types";
import { TrustLine } from "../../core/types/xrpl";
interface Params {
    address: string | undefined;
    token: Token | undefined;
    chain: ChainData | undefined;
    amount: bigint | undefined;
}
export declare function useXrplTrustLine({ address, chain, token, amount }: Params): {
    createTrustLine: import("@tanstack/react-query").UseMutationResult<boolean, unknown, void, unknown>;
    trustLineQuery: import("@tanstack/react-query").UseQueryResult<TrustLine | null, unknown>;
    isTrustLineApproved: import("@tanstack/react-query").UseQueryResult<boolean, unknown>;
    accountActivatedInfo: import("@tanstack/react-query").UseQueryResult<{
        isActivated: boolean;
        reserveBaseBn: bigint;
    } | null, unknown>;
    cancelCreateTrustLine: () => void | undefined;
};
export {};
